Subject: Re: [PATCH net-next v2 0/7] netns: ease netlink use with a lot of netns

From: Nicolas Dichtel <[email-masked]>
Date: Tue, 26 May 2015 14:10:08 +0200

Le 26/05/2015 12:53, Alexander Holler a écrit :
> Am 25.05.2015 um 15:09 schrieb Nicolas Dichtel:
[snip]
>
> Hmm, sounds like we're talking in different rooms about the same thing in regard
> to the dump. ;)
>
> I just wanted to explain why I think this series misses the (extended) dump
> which includes all interfaces (those of other namespaces too).
Héhé, I'm fully aware of the limitations, we move step by step but feel free to
send a patch ;-)
More seriously, I'm thinking to that problem but I did not start anything right
now and I don't know when I will have time to do it.
If I understand well, you are saying that this missing part is blocker to use
the new socket option. I don't agree with this. Doing a dump in an another netns
is easy to do.

>
> How does one use NETLINK_LISTEN_ALL_NSID without beeing able to dump all the
> interfaces of namespaces your patch series might send messages for?
>
> The only way I currently see, is to start the listening part before any
> namespace is created. Doing so, it can fill it's internal structures with the
> RTM_NEWLINK messages (besides that missing one for lo). But how do you get these
> RTM_NEWLINK messages for already created namespaces and their interfaces, if not
> by a dump?
I don't understand why dumping in another netns is a problem.

Regards,
Nicolas